> ## Documentation Index
> Fetch the complete documentation index at: https://docs.playbackrewards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate a partner offer



## OpenAPI

````yaml /playbackapi/openapi.json get /v1/clicks
openapi: 3.0.0
info:
  title: Playback Partner API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.playbackdirect.com
security: []
tags: []
paths:
  /v1/clicks:
    get:
      tags:
        - Tracking
      summary: Activate a partner offer
      operationId: PartnerClicksController_activateOffer
      parameters:
        - name: sub3
          required: false
          in: query
          description: >-
            Optional sub-affiliate parameter 3 (pass-through to partner
            postback)
          schema:
            type: string
        - name: sub2
          required: false
          in: query
          description: >-
            Optional sub-affiliate parameter 2 (pass-through to partner
            postback)
          schema:
            type: string
        - name: sub1
          required: false
          in: query
          description: >-
            Optional sub-affiliate parameter 1 (pass-through to partner
            postback)
          schema:
            type: string
        - name: adId
          required: false
          in: query
          description: >-
            Optional mobile advertising identifier supplied by the caller (for
            example GAID on Android or IDFA on iOS)
          schema:
            type: string
        - name: userId
          required: true
          in: query
          description: The unique user ID from the partner
          schema:
            type: string
        - name: offerId
          required: true
          in: query
          description: The offer ID from the API
          schema:
            type: string
        - name: partnerId
          required: true
          in: query
          description: Partner ID (5 characters)
          schema:
            type: string
      responses:
        '302':
          description: Redirects to the offer
        '400':
          description: Invalid request parameters
      servers:
        - url: https://track.playbacktracking.com

````